> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-update.md).

# namespaces update

## Synopsis

```shell
omics workbench namespaces update ID
  [--name NAME]
  [--description TEXT]
```

## Description

Update the name or description of an existing namespace. At least one of `--name` or `--description` must be provided.

The command uses optimistic locking to prevent conflicting updates. If the namespace was modified by another user between when it was read and when the update is applied, the command returns an error and the update must be retried.

## Examples

### Update a namespace name

```shell
omics workbench namespaces update bcd869ca-8a06-4426-a94d-43f9d91e937d \
  --name "Renamed Lab"
```

### Update a namespace description

```shell
omics workbench namespaces update bcd869ca-8a06-4426-a94d-43f9d91e937d \
  --description "Updated workspace description"
```

### Update both name and description

```shell
omics workbench namespaces update bcd869ca-8a06-4426-a94d-43f9d91e937d \
  --name "Renamed Lab" \
  --description "Updated workspace description"
```

## Positional Arguments:

### `ID`

**Required.** The ID of the namespace to update. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command.

## Flags:

### `--name`=`NAME`

The new name for the namespace.

### `--description`=`TEXT`

The new description for the namespace.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
